gnutls_sign_get_hash_algorithm(3)

NAME
gnutls_sign_get_hash_algorithm - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_digest_algorithm_t gnutls_sign_get_hash_algorithm(gnutls_sign_algorithm_t sign);

ARGUMENTS

gnutls_sign_algorithm_t sign
    is a signature algorithm

DESCRIPTION
This function returns the digest algorithm corresponding to the given signature algorithms.

SINCE
3.1.1

RETURNS
return a gnutls_digest_algorithm_t value, or GNUTLS_DIG_UNKNOWN on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/